## cdw 0.3.2

=== doc/older/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/cdw
pkglibdir = $(libdir)/cdw
pkgincludedir = $(includedir)/cdw
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = doc
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(pkgdocdir)"
pkgdocDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pkgdoc_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/acerion/current/cdw/working_copy/cdw/missing --run aclocal-1.10
ALLOCA = 
ALL_LINGUAS = hu de es
AMTAR = ${SHELL} /home/acerion/current/cdw/working_copy/cdw/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/acerion/current/cdw/working_copy/cdw/missing --run autoconf
AUTOHEADER = ${SHELL} /home/acerion/current/cdw/working_copy/cdw/missing --run autoheader
AUTOMAKE = ${SHELL} /home/acerion/current/cdw/working_copy/cdw/missing --run automake-1.10
AWK = gawk
BUILD_INCLUDED_LIBINTL = no
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CDDA2WAV = /usr/bin/cdda2wav
CDRECORD = /usr/bin/cdrecord
CDW_CFLAGS = 
CDW_LIBS = 
CFLAGS = -g -O2
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GENCAT = gencat
GLIBC2 = yes
GLIBC21 = yes
GLIB_REQUIRED_VERSION = 
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
GTK_REQUIRED_VERSION = 
GTK_VERSION = 
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
INTLTOOL_ICONV = /usr/bin/iconv
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = $(top_builddir)/intltool-merge
INTLTOOL_MSGFMT = /usr/bin/msgfmt
INTLTOOL_MSGMERGE = /usr/bin/msgmerge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XGETTEXT = /usr/bin/xgettext
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LAME = 0
LDFLAGS = 
LIBICONV = 
LIBINTL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPTH = 
LIBS = -lpthread -lncurses -lform -lmenu 
LIBTHREAD = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBPTH = 
LTLIBTHREAD = 
MAKEINFO = ${SHELL} /home/acerion/current/cdw/working_copy/cdw/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = ./mkinstalldirs
MKISOFS = /usr/bin/mkisofs
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
OGGENC = /usr/bin/oggenc
PACKAGE = cdw
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = 
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
PRI_MACROS_BROKEN = 0
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.3.1-pre
WOE32DLL = no
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
abs_builddir = /home/acerion/current/cdw/working_copy/cdw/doc
abs_srcdir = /home/acerion/current/cdw/working_copy/cdw/doc
abs_top_builddir = /home/acerion/current/cdw/working_copy/cdw
abs_top_srcdir = /home/acerion/current/cdw/working_copy/cdw
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = $(datadir)/doc
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/acerion/current/cdw/working_copy/cdw/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ..
top_srcdir = ..
MAINTAINERCLEANFILES = Makefile.in
pkgdocdir = $(docdir)/$(PACKAGE)
pkgdoc_DATA = \
	LICENSE \
	README \
	README.HU \
	README.DE

EXTRA_DIST = $(pkgdoc_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-pkgdocDATA: $(pkgdoc_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgdocdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdocdir)"
	@list='$(pkgdoc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(pkgdocDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdocdir)/$$f'"; \
	  $(pkgdocDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdocdir)/$$f"; \
	done

uninstall-pkgdocDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdoc_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(pkgdocdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pkgdocdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \

## cdw 0.7.0

=== debian/changelog ===
cdw (0.7.0-1ubuntu2) precise; urgency=low

  * No changes rebuild for libcdio13 transition

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 09 Jan 2012 16:20:38 +0100

cdw (0.7.0-1ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #889604).  Remaining changes:
    - Add 0001-Fix-order-of-arguments-at-link-time.patch

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 24 Aug 2011 21:38:20 +0000

cdw (0.7.0-1) unstable; urgency=low

  * New upstream release, convert package format to quilt.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 21 Aug 2011 21:59:15 +0200

cdw (0.6.0-1ubuntu1) oneiric; urgency=low

  * Sync from debian. (LP: #501806)
  * src/Makefile.am/in: Fix order of arguments at link time (LP: #765906)

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 18 Jun 2011 21:39:17 +0200

cdw (0.6.0-1) unstable; urgency=low

  * New upstream release (closes: #614078).
  * Refresh packaging, update to standards-version 3.9.1 and to debhelper
    compatibility level 6.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 19 Feb 2011 19:14:19 +0100

cdw (0.3.3-2) unstable; urgency=low

  * Update watch file to work again (closes: #450133).
  * Install upstream man page and not mine, which is outdated now.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 16 Jan 2008 08:16:50 +0200

cdw (0.3.3-1) unstable; urgency=low

  * New upstream release with several bugfixes and GTK+ files (thus any hope
    for a new gcdw) wiped out.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 25 Dec 2007 18:03:04 +0200

cdw (0.3.2-1) unstable; urgency=low

  * New upstream release. 
  * Remove cdw-common and gcdw packages as upstream removes GTK+ frontend
    (closes: #438156); cdw is console only from now on.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 30 Oct 2007 23:01:32 +0200

cdw (0.3.1-2) unstable; urgency=low

  * Fix include order in src/cdrom_ctrl.c to make it compile on all archs.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 20 Jul 2007 20:19:16 +0300

cdw (0.3.1-1) unstable; urgency=low

  * New upstream version (closes: #430506), fixes bad pointer handling in
    previous versions (closes: #313234, #324803).
  * Change mkisofs dependency to genisoimage (closes: #412096).
  * Remove gcdw as it's discontinued, so cdw-common is a must go as well.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 27 Jun 2007 12:49:00 +0200

cdw (0.2.4-2) unstable; urgency=low

  * Remove circular dependency (closes: #340051).
  * Change dependency to wodim instead of cdrecord (closes: #400136).
  * Added Swedish translation (closes: #353609).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 24 Nov 2006 17:32:01 +0000

cdw (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Fix the segfault mentioned in #324803 , but first let it just be tested.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon,  2 Oct 2006 21:20:00 +0200

cdw (0.2.3-6) unstable; urgency=low

  * Really include the fix for #324803, was my fault.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun,  6 Nov 2005 11:16:23 +0000

cdw (0.2.3-5) unstable; urgency=low

  * Fix segfault due to short read buffer on config file read, thanks to Stefan
    Fritsch <sf@sfritsch.de> (closes: #324803).
  * Include all headers needed for standard functions.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun,  6 Nov 2005 09:37:05 +0000

cdw (0.2.3-4) unstable; urgency=low

  * Correct German po translations, thanks to Jens Seidel
    <jensseidel@users.sf.net> (closes: #314142).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 23 Aug 2005 18:11:10 +0200

cdw (0.2.3-3) unstable; urgency=low

  * Changed email address.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 30 Nov 2004 21:21:28 +0100

cdw (0.2.3-2) unstable; urgency=low

  * Fix FTBFS with the newest gcc (3.4), thanks to Andreas Jochens
    <aj@andaco.de> for the patch (closes: #262578)!
  * Added watch file.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sat, 31 Jul 2004 22:53:44 +0000

cdw (0.2.3-1) unstable; urgency=low

  * Initial release -- the package is recreated from scratch;
    thanks to Algernon (Gergely Nagy) for his help and ideas.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sat, 22 May 2004 13:51:12 +0000

=== debian/control ===
Source: cdw
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>> 6.0.0), libncurses5-dev, libncursesw5-dev, libcdio-cdda-dev, libiso9660-dev, zlib1g-dev, libxml-parser-perl, libburn-dev
Homepage: http://cdw.sourceforge.net/
Standards-Version: 3.9.2

Package: cdw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, genisoimage, wodim
Replaces: cdw-common, gcdw
Conflicts: cdw-common, gcdw
Description: Tool for burning CD's - console version
 Ncurses-based frontend for wodim and genisoimage. It can handle audio and
 data CD burning, through a CD image or directly from the files.

## cdw 0.7.1

=== debian/changelog ===
cdw (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS with ld --as-needed (closes: #646053), thanks to Felix Geyer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 16 Jun 2012 09:34:23 +0200

=== debian/control ===
Source: cdw
Section: otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 7.0.0), libncurses5-dev, libncursesw5-dev, libcdio-cdda-dev, libiso9660-dev, zlib1g-dev, libxml-parser-perl, libburn-dev
Homepage: http://cdw.sourceforge.net/
Standards-Version: 3.9.3

Package: cdw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, genisoimage, wodim
Replaces: cdw-common, gcdw
Conflicts: cdw-common, gcdw
Description: Tool for burning CD's - console version
 Ncurses-based frontend for wodim and genisoimage. It can handle audio and
 data CD burning, through a CD image or directly from the files.

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://sf.net/cdw/cdw-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate

## cdw 0.8.0

=== debian/changelog ===
cdw (0.8.0-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:39:59 +0000

cdw (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove cdw_ld_as_needed.diff as applied upstream.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Aug 2014 19:47:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cdw
 Section: otherosfs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 7.0.0), libncurses5-dev, libncursesw5-dev, libcdio-cdda-dev, libiso9660-dev, zlib1g-dev, libxml-parser-perl, libburn-dev
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), autoconf, libncurses5-dev, libncursesw5-dev, libcdio-cdda-dev, libiso9660-dev, zlib1g-dev, libxml-parser-perl, libburn-dev
 Homepage: http://cdw.sourceforge.net/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: cdw
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

BUILDDIR = $(CURDIR)/debian/build-tree
DESTDIR = $(CURDIR)/debian/cdw/
CONFIG_COMMON = --prefix=/usr --mandir=/usr/share/man --enable-mysql=no \
			--enable-sqlite=no

${BUILDDIR}/cdw/config.status: configure
	dh_testdir
	install -d $(BUILDDIR)/cdw/
	cd $(BUILDDIR)/cdw/ && \
		CFLAGS="$(CFLAGS)" MKISOFS="/usr/bin/genisoimage" \
		$(CURDIR)/configure ${CONFIG_COMMON}

#${BUILDDIR}/gcdw/config.status: configure
#	install -d $(BUILDDIR)/gcdw/
#	cd $(BUILDDIR)/gcdw/ && \
		CFLAGS="$(CFLAGS)" $(CURDIR)/configure ${CONFIG_COMMON} \
			--enable-gui

build-arch: build
build-indep: build

build: build-cdw
build-cdw: ${BUILDDIR}/cdw/config.status
	dh_testdir
#	cp po/*.po $(BUILDDIR)/cdw/po/
	cd $(BUILDDIR)/cdw/ && $(MAKE)

#build-gcdw: ${BUILDDIR}/gcdw/config.status
#	dh_testdir
#	cp po/*.po $(BUILDDIR)/gcdw/po/
#	cd $(BUILDDIR)/gcdw/ && $(MAKE)

install: build
	dh_testdir
	# Install all files for console based program
	cd $(BUILDDIR)/cdw/ && $(MAKE) install DESTDIR=$(DESTDIR)
	# Only the binary needed from the GTK+ based compilation
#	cp $(BUILDDIR)/gcdw/src/cdw $(DESTDIR)/usr/bin/gcdw
	# Extra license file, remove
	rm -f $(DESTDIR)/usr/share/doc/cdw/LICENSE
	# Menu picture
	install -d $(DESTDIR)/usr/share/cdw/pixmaps/
	install -m0644 debian/cdw.xpm $(DESTDIR)/usr/share/cdw/pixmaps/
#	install -m0644 debian/cdw.xpm $(DESTDIR)/usr/share/cdw/pixmaps/gcdw.xpm
	# Example configuration
	install -d $(DESTDIR)/usr/share/doc/cdw/examples/
	install -m0644 $(CURDIR)/cdw.conf \
		$(DESTDIR)/usr/share/doc/cdw/examples/
	# Man pages
#	install -d $(DESTDIR)/usr/share/man/man1/
#	install -m0644 $(CURDIR)/man/cdw.1 \
		$(DESTDIR)/usr/share/man/man1/cdw.1
#	install -m0644 $(CURDIR)/debian/gcdw.1 \
		$(DESTDIR)/usr/share/man/man1/gcdw.1
	# Create locale dir for dh_install
#	install -d $(DESTDIR)/usr/share/locale
	# Install into real package directories
#	dh_install --fail-missing --sourcedir=$(DESTDIR)

clean:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf $(BUILDDIR)
	rm -f po/*.gmo
	rm -f config.h
	find . -name .deps -o -name Makefile | xargs -I{} rm -rf
	# Fresh the timestamp to prevent accidental autotools run
	touch aclocal.m4 config.h.in configure
	touch Makefile.in
	dh_clean

binary-arch: build install
	dh_testdir
	dh_installdocs -a
	dh_installmenu -a
	dh_installchangelogs -a
	dh_shlibdeps -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
#	dh_installdocs -i
#	dh_installchangelogs -i
#	dh_compress -i
#	dh_fixperms -i
#	dh_installdeb -i
#	dh_gencontrol -i
#	dh_md5sums -i
#	dh_builddeb -i

binary: build-arch build-indep binary-arch binary-indep
.PHONY: configure build build-arch build-indep install clean \
        binary binary-arch binary-indep

## cdw 0.8.1

=== debian/changelog ===
cdw (0.8.1-2) unstable; urgency=medium

  * Fix string literal for displaying text (closes: #997160).
  * Update watch file.
  * Update debhelper level to 13:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Oct 2021 07:46:58 +0200

cdw (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Fix manpage title and section.
  * Install icon for menu file.
  * Enable all hardening.
  * Use short debhelper rules format.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Apr 2016 17:51:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), autoconf, libncurses5-dev, libncursesw5-dev, libcdio-cdda-dev, libiso9660-dev, zlib1g-dev, libxml-parser-perl, libburn-dev
+Build-Depends: debhelper-compat (= 13), autoconf, libncurses5-dev, libncursesw5-dev, libcdio-cdda-dev, libiso9660-dev, zlib1g-dev, libxml-parser-perl, libburn-dev
 Homepage: http://cdw.sourceforge.net/
-Standards-Version: 3.9.5
+Standards-Version: 4.6.0
 
 Package: cdw
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PKGDIR=$(CURDIR)/debian/cdw

override_dh_auto_install:
	dh_auto_install
	install -d -m0755 $(PKGDIR)/usr/share/cdw/pixmaps/
	install -m0644 $(CURDIR)/debian/cdw.xpm \
		$(PKGDIR)/usr/share/cdw/pixmaps/cdw.xpm

%:
	dh $@

.PHONY: override_dh_auto_install
